Показано с 1 по 7 из 7

Тема: Прошу помощи в устранении ошибок на DLE

  1. #1
    Продвинутый пользователь Аватар для Zevss
    Регистрация
    03.05.2014
    Сообщений
    101

    По умолчанию Прошу помощи в устранении ошибок на DLE

    После переноса сайта http://mir-teatra.net/ на другой хостинг в шапке сайта вывалилась куча ошибок. Подскажите пожалуйста, как решить данную проблему? Спасибо!

  2. #2
    Старший модератор Аватар для FreeCat
    Регистрация
    01.10.2008
    Адрес
    nobody, anywhere
    Сообщений
    1,634

    По умолчанию

    Zevss
    Модификатор e для этой функции preg_replace() в новой версии РНР, куда ты перенёс, не существует. Вместо неё в этих местах предлагают использовать use preg_replace_callback . А вообще это не ошибка, а предупреждение. Можно просто изменить уровень вывода ошибок с E_ALL в E_ERROR в php.ini .Это коротко, а так, например, описано тут, например: https://otvet.mail.ru/question/186849063 Там вроде все нужные решения описаны.

  3. #3
    Старший модератор Аватар для FreeCat
    Регистрация
    01.10.2008
    Адрес
    nobody, anywhere
    Сообщений
    1,634

    По умолчанию

    P.S. Советую побыстре испавить или хотя бы выключить вывод этих предупреждений. Раскрывают реальные пути они - что для скрипткиддисов может помочь твой сайт взломать.

  4. #4
    Продвинутый пользователь Аватар для Zevss
    Регистрация
    03.05.2014
    Сообщений
    101

    По умолчанию

    Цитата Сообщение от FreeCat Посмотреть сообщение
    P.S. хотя бы выключить вывод этих предупреждений.
    Как?

  5. #5
    Старший модератор Аватар для FreeCat
    Регистрация
    01.10.2008
    Адрес
    nobody, anywhere
    Сообщений
    1,634

    По умолчанию

    в .htaccess добавь эти строки:
    php_value display_errors 0
    php_value error_reporting 7

  6. #6
    Продвинутый пользователь Аватар для Zevss
    Регистрация
    03.05.2014
    Сообщений
    101

    По умолчанию

    За 5$ поддержка решила проблему. Цитирую:
    По ходу текущего тикета не раз подымался вопрос о разнице версий php. Вы так же давали ссылку, где фигурирует php 5.4. Текущая версия установленная у вас - 5.5. довольно сильно отличается в плане поддержки различного рода устаревших функций. У php в целом очень плохая обратная совместимость между релизами. Скрывать ошибки это неправильный подход, потому как отображаются они не просто так и в той или иной степени влияют на функционал сайта. Собрал для вас специально дополнительную версию php 5.4 которая работает исключительно с пользователем teatra в режиме работы домена php как cgi. Сейчас сайт работает без ошибок.

  7. #7
    Старший модератор Аватар для FreeCat
    Регистрация
    01.10.2008
    Адрес
    nobody, anywhere
    Сообщений
    1,634

    По умолчанию

    Zevss
    Ну или так.

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •